Bug 1292722 - Document minimal set of rules required to provision host in libvirt compute resource
Document minimal set of rules required to provision host in libvirt compute r...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Provisioning Guide (Show other bugs)
6.1.5
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: satellite-doc-list
satellite-doc-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 03:08 EST by Jan Hutař
Modified: 2016-12-18 01:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2015-12-18 03:08:09 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Provisioning_Guide/index.html


Section Number and Name: 
n/a


Describe the issue: 
It is very hard to determine minimal set of permissions required to provision host on compute resource.


Suggestions for improvement: 
Add example with list of minimal roles/requirements for installing guest in compute resource.


Additional information: 
I have found these worked for me:
  Roles:
    Edit hosts
    View hosts
    my_custom_role - individual permissions here are:
      view_compute_resources
      destroy_compute_resources_vms
      power_compute_resources_vms
      create_compute_resources_vms
      view_compute_resources_vms
      view_locations
      view_subnets

Discovering view_subnets was quite easy, discovering view_locations was pretty hard.
Comment 1 Andrew Dahms 2016-11-15 06:40:12 EST
Moving to NEW and the default assignee to be triaged as the schedule allows.

Note You need to log in before you can comment on or make changes to this bug.